Subject: bug#8718: error when using nested conditionals

From: Bruno Haible <[email-masked]>
Date: Fri, 10 Jun 2011 11:44:57 +0200

Jack Kelly wrote:
> AM_IGNORE_UNDEFINED_CONDITIONALS(REGEX) ignores
> "undefined-conditional" errors for conditions that match REGEX.

With this proposal, gnulib would have to turn off all "undefined-conditional"
errors, that is, use a regex of [.*]. That's because as exemplified in the
previous mail, foo.m4 and foo.mk are created by package authors (outside
the gnulib maintainers team) whom we don't want to bother with the need
to find a regex.

Whereas with Stefano's proposal, the disabled error-checking can be limited
to the m4 code portions that have been processed through gnulib-tool,
leaving it enabled for the package's configure.ac.

Bruno
-- 
In memoriam Lamana Ould Bou <http://fr.wikipedia.org/wiki/Lamana_Ould_Bou>